1. Smartlinks V2
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Init Transaction
      • Request a Transfer In token
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
        POST
      • Delete a smartlink
        DELETE
      • Get a Smartlink
        GET
      • Update a Smartlink
        PATCH
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Payment Button
      • Raíz
        • Create a payment button
    • Platform Status
    • Subscription Transactions
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Get recurring charge Info
      • Create a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Add a temporary charge or discount
      • Make an One-click payment
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Smartlinks V2

Get a Smartlink

GET
/smartlink/v2/smart-link/{smartlinkId}
Get the Smartlink information that can be used to render the form in a website hosted by Kushki.
WARNING
Got a suggestion on this documentation? Contact Us.

Request

Path Params

Header Params

Responses

🟢200
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-uat.kushkipagos.com/smartlink/v2/smart-link/' \
--header 'Private-Merchant-Id;'
Response Response Example
200 - Example 1
{
    "merchantName": "string",
    "executionCount": 0,
    "version": "string",
    "created": 0,
    "publicMerchantId": "string",
    "id": "string",
    "merchantId": "string",
    "subscriptionTotalAmount": 0,
    "totalAmount": 0,
    "paymentConfig": {
        "paymentType": "unique",
        "amount": {
            "currency": "CLP",
            "subtotalIva": 0,
            "subtotalIva0": 10000,
            "iva": 0,
            "ice": 0,
            "extraTaxes": {
                "iac": 0,
                "tasaAeroportuaria": 0,
                "agenciaDeViaje": 0
            }
        },
        "paymentMethod": "cash",
        "subscriptionOptions": {
            "amount": {
                "currency": "CLP",
                "subtotalIva": 0,
                "subtotalIva0": 10000,
                "iva": 0,
                "ice": 0,
                "extraTaxes": {
                    "iac": 0,
                    "tasaAeroportuaria": 0,
                    "agenciaDeViaje": 0
                }
            },
            "periodicity": "daily",
            "planName": "string",
            "startDate": "2019-08-24",
            "terms": "string"
        },
        "mixedOptions": {
            "numberOfFees": 0,
            "periodicity": "daily",
            "subscriptionDay": 0
        },
        "currency": "CLP",
        "taxEnabled": true,
        "taxPercentage": 1,
        "defaultAmount": 0,
        "minAmount": 0,
        "maxAmount": 0
    },
    "generalConfig": {
        "productName": "string",
        "description": "string",
        "productImage": "string",
        "brandLogo": "string",
        "executionLimit": 0,
        "showTimer": true,
        "enabled": true,
        "termsAndConditions": "string",
        "promotionalText": "string",
        "expirationDate": 0,
        "buyButtonText": "string",
        "hidePayButtonAmount": true,
        "payButtonText": "string"
    },
    "styleAndStructure": {
        "structure": "checkout",
        "coverModel": "left",
        "buttonStyle": "square",
        "primaryColor": "string",
        "secondaryColor": "string"
    },
    "contact": {
        "email": "string",
        "phoneNumber": "string"
    },
    "formConfig": [
        {
            "label": "string",
            "type": "input",
            "split": true,
            "required": true,
            "disabled": true,
            "name": "string",
            "placeholder": "string",
            "value": "string"
        }
    ],
    "paymentConfigType": "open",
    "language": "es",
    "source": "api"
}
Modified at 2026-04-16 17:17:48
Previous
Delete a smartlink
Next
Update a Smartlink
Built with